Delete an offline character from the admin console
Look up the Dark Pawns admin API request and response contract. Sign in with a level 40 character and use the authenticated admin console session.
POST
/admin/characters/{name}/delete
const url = 'https://example.com/admin/characters/example/delete';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"confirm_name":"example","revision":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/admin/characters/example/delete \ --header 'Content-Type: application/json' \ --data '{ "confirm_name": "example", "revision": "example" }'Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”name
required
string
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
confirm_name
string
revision
required
string
Example generated
{ "confirm_name": "example", "revision": "example"}Responses
Section titled “Responses”OK
Media typeapplication/json
object
aliases_removed
required
boolean
clan_cleared
required
boolean
marked_deleted
required
boolean
name
required
string
Example generated
{ "aliases_removed": true, "clan_cleared": true, "marked_deleted": true, "name": "example"}default
Section titled “default”Error
Media typeapplication/problem+json
object
detail
A human-readable explanation specific to this occurrence of the problem.
string
errors
Optional list of individual error details
Array<object> | null
object
location
Where the error occurred, e.g. ‘body.items[3].tags’ or ‘path.thing-id’
string
message
Error message text
string
value
The value at the given location
instance
A URI reference that identifies the specific occurrence of the problem.
string format: uri
status
HTTP status code
integer format: int64
title
A short, human-readable summary of the problem type. This value should not change between occurrences of the error.
string
type
A URI reference to human-readable documentation for the error.
string format: uri
Example
{ "detail": "Property foo is required but is missing.", "instance": "https://example.com/error-log/abc123", "status": 400, "title": "Bad Request", "type": "about:blank"}